@import "../../../assets/styles/main.scss";

.customAccordion {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.accordianMain {
  width: 100%;
  z-index: 9;
}
.content {
  overflow: hidden;
  height: auto;
  border-radius: 32px;
}
.contentOverRide {
  display: inherit;
}
.contentParent {
  overflow: hidden;
  transition: height 600ms ease-in;
}

.contentShow {
  overflow: hidden;
  transition: height 600ms ease-out;
}

.all_regions_section {
  width: 100%;

  .accordion_heading {
    .accordion_header {
      border-radius: 32px !important;
      background-color: getColorHex("white") !important;
      box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17) !important;
      padding: 8px 42px 8px 8px !important;
      border: 7px solid transparent;
      z-index: 2;
      transition: border 0.3s ease-in-out;
      position: relative;

      &.activeBorder {
        border: 7px solid getColorHex("orange");
        transition: border 0.3s ease-in-out;
      }
      .accordian_data {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 36px;
        @include xl {
          gap: 20px;
        }
        .accordian_leftside {
          display: flex;
          justify-content: center;
          align-items: center;
          gap: 36px;
          flex-flow: wrap;
          position: relative;
          z-index: 99;
          @include xl {
            gap: 20px;
          }
          .country_text {
            max-width: 530px;
          }
          .country_text h2 {
            @include inter700;
            color: getColorHex("black");
            font-size: 36px;
            padding-bottom: 35px;

            @include xl {
              padding-bottom: 20px;
              font-size: 28px;
              max-width: 350px;
            }
            @include lg {
              max-width: 320px;
            }
            @include md {
              padding-bottom: 20px;
              font-size: 28px;
            }
          }
          .destination_button {
            display: flex;
            align-items: center;
            justify-content: baseline;
            flex-flow: wrap;
            gap: 10px;
            position: relative;
            z-index: 99;
            @include inter700;
            button {
              border: unset;
            }
            h4 {
              color: getColorHex("charcoal");
              font-size: 24px;
              @include inter700;
              @include xl {
                font-size: 22px;
              }
              @include lg {
                font-size: 20px;
              }
            }
            .checklist_button {
              padding: 10px 30px !important;
              border-radius: 35px !important;
              background: getColorHex("orange") !important;
              display: flex;
              justify-content: center;
              align-items: center;
              color: getColorHex("white") !important;
              font-size: 24px;
              @include inter700;
              line-height: 32.68px;
              @include xl {
                font-size: 22px;
              }
              @include lg {
                font-size: 20px;
              }
            }
          }
          .gridSection_icon {
            position: relative;
            .gridSection_background_image {
              position: absolute !important;
              width: 50px;
              height: 50px;
              bottom: -11px;
              left: 15%;
              transform: translate(-50%, -50%);
            }
          }
          .gridSection_countryName {
            position: relative;
            span {
              position: absolute !important;
              width: 100%;
              height: 100%;
              top: -173px;
              left: 55%;
              transform: translate(-50%, -50%);
              color: getColorHex("black");
              font-size: 14px;
              @include lg {
                top: -160px;
              }
            }
          }
        }
        .accordian_rightside {
          position: relative;
          @include inter700;
          &:after {
            content: "";
            position: absolute;
            top: 61%;
            left: 35%;
            width: 328px;
            height: 218px;
            background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/all_regions_map.svg);
            background-position: center;
            background-repeat: no-repeat;
            background-size: contain;
            z-index: 9;
            transform: translate(-50%, -50%);
            @include lg {
              width: 256px;
            }
          }
          .checkplan_button {
            border-radius: 55px !important;
            background: linear-gradient(
              90deg,
              #29323c 0%,
              #485563 100%
            ) !important;
            display: flex;
            padding: 20px 30px !important;
            justify-content: center;
            align-items: center;
            color: getColorHex("white");
            text-align: center;
            font-size: 24px;
            @include inter700;
            position: relative;
            z-index: 99;
            width: 270px;
            border: unset;
            line-height: 32.68px;

            @include xl {
              width: 230px;
              padding: 12px 25px !important;
            }
            @include lg {
              font-size: 22px;
              width: 200px;
            }
          }
        }
      }

      .accordian_country_image {
        border-radius: 20px;
        border: 1px solid getColorHex("border");
        background: getColorHex("white");
        padding: 15px;
        @include xl {
          padding: 10px;
        }

        .gridSection_card_image {
          position: relative;
          width: 300px;
          height: 189.47px;
          border-radius: 20px;

          @include lg {
            width: 277px;
            height: 165px;
          }
          @include md {
            width: 243px;
            height: 154px;
          }
          img {
            border-radius: 10px;
            object-fit: initial !important;
          }
        }
        .gridSection_icon {
          position: relative;
          .gridSection_background_image {
            position: absolute !important;
            width: 50px;
            height: 50px;
            bottom: -11px;
            left: 15%;
            transform: translate(-50%, -50%);
          }
        }
        .gridSection_countryName {
          position: relative;
          span {
            position: absolute !important;
            width: 50px;
            height: 50px;
            top: -150px;
            left: 15%;
            transform: translate(-50%, -50%);
          }
        }
      }
    }
  }

  .accordion_body {
    border-radius: 32px;
    border: 7px solid getColorHex("orange");
    background: getColorHex("white");
    box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.17);
    padding: 30px 30px 0px 30px;
    margin-top: 24px;
    @include xl {
      padding: 20px 20px 0px 20px;
    }
    .accordian_country_image {
      border-radius: 20px;
      border: 1px solid getColorHex("border");
      background: getColorHex("white");
      padding: 5px;

      .gridSection_card_image {
        position: relative;
        width: auto;
        height: 109px;
        border-radius: 20px;
        line-height: normal;
        @include xl {
          height: 90px;
        }
        @include lg {
          height: 80px;
        }

        img {
          border-radius: 15px;
          object-fit: cover !important;
        }
      }
      .gridSection_icon {
        position: relative;
        .gridSection_background_image {
          position: absolute !important;
          width: 40px;
          height: 40px;
          bottom: -11px;
          left: 15%;
          transform: translate(-50%, -50%);
        }
      }
      .gridSection_countryName {
        position: relative;
        span {
          position: absolute !important;
          width: 100%;
          height: 100%;
          top: -100px;
          left: 54%;
          transform: translate(-50%, -50%);
          font-size: 8px;
          @include xl {
            top: -85px;
          }
          @include lg {
            top: -76px;
          }
        }
      }
    }
  }
}

.skeletonClass {
  height: 251.47px;
  border-radius: 32px;
  margin-bottom: 24px;

  @include lg {
    height: 251.47px;
  }

  @include md {
    height: 217px;
  }
}
